# -*- coding: utf-8 -*-
# @Author: wangkun
# @Time: 2023/3/27
from common.scheduling_db import MysqlHelper
# from scheduling_db import MysqlHelper


# 过滤词库
def filter_word(log_type, crawler, source, env):
    """
    过滤词库
    :param log_type: 日志
    :param crawler: 哪款爬虫，如：xiaoniangao
    :param source: 哪款爬虫，如：小年糕
    :param env: 环境
    :return: word_list
    """
    select_sql = f""" select * from crawler_filter_word where source="{source}" """
    words = MysqlHelper.get_values(log_type, crawler, select_sql, env, action='')
    if len(words) == 0:
        return None
    word_list = []
    for word in words:
        # ss = word['filter_word']
        # print(type(ss))
        # print(ss)
        word_list.append(word['filter_word'])

    return word_list


if __name__ == "__main__":
    print(filter_word('public', 'xiaoniangao', '小年糕', 'prod'))